#!/usr/local/bin/php -q
<?php
error_reporting(E_ALL);

/* Allow the script to hang around waiting for connections. */
set_time_limit(0);

/* Turn on implicit output flushing so we see what we're getting
 * as it comes in. */
ob_implicit_flush();

$address = '0.0.0.0';
$port = 7225;

if (($sock = socket_create(AF_INET, SOCK_STREAM, SOL_TCP)) === false) {
    echo "socket_create() failed: reason: " . socket_strerror(socket_last_error()) . "\n";
}

if (socket_bind($sock, $address, $port) === false) {
    echo "socket_bind() failed: reason: " . socket_strerror(socket_last_error($sock)) . "\n";
}

if (socket_listen($sock, 5) === false) {
    echo "socket_listen() failed: reason: " . socket_strerror(socket_last_error($sock)) . "\n";
}

do {
    if (($msgsock = socket_accept($sock)) === false) {
        echo "socket_accept() failed: reason: " . socket_strerror(socket_last_error($sock)) . "\n";
        break;
    }
	do {
		if(socket_last_error($msgsock)) 
			break;
		
		
        $currenttime = date("h:i:s A");
		$xml = new DOMDocument('1.0', 'UTF-8');
		$root = $xml->createElement("currenttime");
		$root->appendChild($xml->createTextNode($currenttime));
		$xml->appendChild($root);
		$message = $xml->saveXML() . "\0";
			
	    socket_write($msgsock, $message, strlen($message));
	    sleep(1);
		
		
    } while (true);
    socket_close($msgsock);
} while (true);

socket_close($sock);
?>
